apiVersion: v2
name: eurodat-cluster
description: A Helm chart for EuroDaT's cluster-wide applications

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 0.1.0

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
appVersion: 0.1.0

dependencies:
  - name: keycloakx
    version: 6.0.0
    repository: https://codecentric.github.io/helm-charts
  - name: prometheus
    version: 19.3.1
    repository: https://prometheus-community.github.io/helm-charts
    condition: prometheus.enabled
  - name: reflector
    version: 9.0.313
    repository: https://emberstack.github.io/helm-charts
  - name: reloader
    version: 1.0.69
    repository: https://stakater.github.io/stakater-charts
  - name: grafana
    version: 11.3.14
    repository: https://charts.bitnami.com/bitnami
  - name: opentelemetry-collector
    version: 0.104.0
    repository: https://open-telemetry.github.io/opentelemetry-helm-charts
  - name: tempo
    version: 1.10.2
    repository: https://grafana.github.io/helm-charts
  - name: loki
    alias: loki
    version: 6.10.0
    repository: https://grafana.github.io/helm-charts
    condition: loki.enabled
  - name: promtail
    version: 6.16.4
    repository: https://grafana.github.io/helm-charts
    condition: promtail.enabled
